#
# kihon2.rb
#
# $Id: kihon2.rb,v 1.1 2000/11/21 03:15:38 keiko Exp $
#

require "num/numarray"
require "num/dcl"

include Num::DCL
include Math


NMAX = 40
IMAX = 4
DT = 4.0*PI/NMAX

x = NumArray.new(Float, NMAX+1)
y = NumArray.new(Float, NMAX+1, IMAX)

#-- data ----
x.span(0.0, 1.0/NMAX)
for n in 0..NMAX
  for i in 0..IMAX-1
    y[n,i] = 0.2*sin(n*DT) + 0.8 - 0.2*i
  end
end

#-- graph ----
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn iws

#-- line index : frame 1 --
sgfrm
slpvpr(1) 

sgplv(NMAX+1, x, y[true,0])

for i in 1..IMAX-1
  sgspli(2*(i+1))
  sgplv(NMAX+1, x, y[true,i])
end

sgspli(1)

#-- line type : frame 2 --
sgfrm
slpvpr(1)

sgplv(NMAX+1, x, y[true,0])

for i in 1..IMAX-1
  sgsplt(i+1)
  sgplv(NMAX+1, x, y[true,i])
end

sgcls

